diff -uNr a/src/configure b/src/configure
--- a/src/configure	2017-05-28 10:27:03.780918854 -0400
+++ b/src/configure	2017-10-12 14:47:24.737839006 -0400
@@ -623,7 +623,7 @@
 EGREP
 GREP
 CXXCPP
-HAVE_MKOCTFILE
+MKOCTFILE
 OBJEXT
 EXEEXT
 ac_ct_CXX
@@ -650,6 +650,7 @@
 docdir
 oldincludedir
 includedir
+runstatedir
 localstatedir
 sharedstatedir
 sysconfdir
@@ -721,6 +722,7 @@
 sysconfdir='${prefix}/etc'
 sharedstatedir='${prefix}/com'
 localstatedir='${prefix}/var'
+runstatedir='${localstatedir}/run'
 includedir='${prefix}/include'
 oldincludedir='/usr/include'
 docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
@@ -973,6 +975,15 @@
   | -silent | --silent | --silen | --sile | --sil)
     silent=yes ;;
 
+  -runstatedir | --runstatedir | --runstatedi | --runstated \
+  | --runstate | --runstat | --runsta | --runst | --runs \
+  | --run | --ru | --r)
+    ac_prev=runstatedir ;;
+  -runstatedir=* | --runstatedir=* | --runstatedi=* | --runstated=* \
+  | --runstate=* | --runstat=* | --runsta=* | --runst=* | --runs=* \
+  | --run=* | --ru=* | --r=*)
+    runstatedir=$ac_optarg ;;
+
   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
     ac_prev=sbindir ;;
   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
@@ -1110,7 +1121,7 @@
 for ac_var in	exec_prefix prefix bindir sbindir libexecdir datarootdir \
 		datadir sysconfdir sharedstatedir localstatedir includedir \
 		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
-		libdir localedir mandir
+		libdir localedir mandir runstatedir
 do
   eval ac_val=\$$ac_var
   # Remove trailing slashes.
@@ -1263,6 +1274,7 @@
   --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
   --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
   --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
+  --runstatedir=DIR       modifiable per-process data [LOCALSTATEDIR/run]
   --libdir=DIR            object code libraries [EPREFIX/lib]
   --includedir=DIR        C header files [PREFIX/include]
   --oldincludedir=DIR     C header files for non-gcc [/usr/include]
@@ -2649,11 +2661,11 @@
 set dummy mkoctfile; ac_word=$2
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_HAVE_MKOCTFILE+:} false; then :
+if ${ac_cv_prog_MKOCTFILE+:} false; then :
   $as_echo_n "(cached) " >&6
 else
-  if test -n "$HAVE_MKOCTFILE"; then
-  ac_cv_prog_HAVE_MKOCTFILE="$HAVE_MKOCTFILE" # Let the user override the test.
+  if test -n "$MKOCTFILE"; then
+  ac_cv_prog_MKOCTFILE="$MKOCTFILE" # Let the user override the test.
 else
 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
@@ -2662,7 +2674,7 @@
   test -z "$as_dir" && as_dir=.
     for ac_exec_ext in '' $ac_executable_extensions; do
   if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_prog_HAVE_MKOCTFILE="yes"
+    ac_cv_prog_MKOCTFILE="mkoctfile"
     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -2670,20 +2682,19 @@
   done
 IFS=$as_save_IFS
 
-  test -z "$ac_cv_prog_HAVE_MKOCTFILE" && ac_cv_prog_HAVE_MKOCTFILE="no"
 fi
 fi
-HAVE_MKOCTFILE=$ac_cv_prog_HAVE_MKOCTFILE
-if test -n "$HAVE_MKOCTFILE"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $HAVE_MKOCTFILE" >&5
-$as_echo "$HAVE_MKOCTFILE" >&6; }
+MKOCTFILE=$ac_cv_prog_MKOCTFILE
+if test -n "$MKOCTFILE"; then
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $MKOCTFILE" >&5
+$as_echo "$MKOCTFILE" >&6; }
 else
   { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
-if test $HAVE_MKOCTFILE = "no"; then
+if test -z "$MKOCTFILE"; then
   as_fn_error $? "mkoctfile required to install $PACKAGE_NAME" "$LINENO" 5
 fi
 
diff -uNr a/src/configure.ac b/src/configure.ac
--- a/src/configure.ac	2017-05-28 10:27:02.828900351 -0400
+++ b/src/configure.ac	2017-10-12 14:47:04.434779853 -0400
@@ -13,8 +13,8 @@
 AC_DEFINE(__STDC_CONSTANT_MACROS, [], [workaround for C++ programs to use C99 macros])
 AC_DEFINE(VIDEO_OUTBUF_SIZE, [200000], [size of video buffer])
 
-AC_CHECK_PROG([HAVE_MKOCTFILE], [mkoctfile], [yes], [no])
-if [test $HAVE_MKOCTFILE = "no"]; then
+AC_CHECK_PROG([MKOCTFILE], [mkoctfile], [mkoctfile])
+if test -z "$MKOCTFILE"; then
   AC_MSG_ERROR([mkoctfile required to install $PACKAGE_NAME])
 fi
 
diff -uNr a/src/aviinfo.cc b/src/aviinfo.cc
--- a/src/aviinfo.cc	2017-05-28 10:27:02.824900272 -0400
+++ b/src/aviinfo.cc	2018-04-09 15:26:03.042616699 -0400
@@ -39,9 +39,9 @@
   // remove -Wno-deprecated-delarations from src/Makefile.in; remember
   // to adjust 'Depends' to Octave >= 4.2 in DESCRIPTION)
 
-  octave_time file_mod = file_stat (fn).mtime ();
+  octave::sys::time file_mod = octave::sys::file_stat (fn).mtime ();
 
-  return octave_localtime (file_mod).strftime ("%d-%b-%Y %H:%M:%S");
+  return octave::sys::localtime (file_mod).strftime ("%d-%b-%Y %H:%M:%S");
 }
 
 DEFUN_DLD(aviinfo, args, ,
